Bug 90203 - nmap: Junk in changelog
nmap: Junk in changelog
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: nmap (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-05 08:22 EDT by Moritz Barsnick
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-12 09:38:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2003-05-05 08:22:43 EDT
Description of problem:
In at least three positions of nmap's changelog, macros are used in such a way 
that they are automatically expanded.

This really mucks up the changelog and makes it unreadable in parts.

Version-Release number of selected component (if applicable):
nmap-3.20-1 and many many old versions

How reproducible:
alwaya

Steps to Reproduce:
1. rpm -q --changelog nmap
2.
3.
    
Actual results:
a)
  - use
    CFLAGS="${CFLAGS:--O2 -g -pipe -march=i386 -mcpu=i686}" ; export CFLAGS ; 
    CXXFLAGS="${CXXFLAGS:--O2 -g -pipe -march=i386 -mcpu=i686}" ; export 
CXXFLAGS ; 
    FFLAGS="${FFLAGS:--O2 -g -pipe -march=i386 -mcpu=i686}" ; export FFLAGS ; 
    for i in $(find . -name config.guess 2>/dev/null) $(find . -name config.sub 
2>/dev/null) ; do 
             [ -f /usr/share/libtool/$(basename $i) ] && /bin/rm -f $i 
&& /bin/cp -fv /usr/share/libtool/$(basename $i) $i ; 
    done ; 
    ./configure --host=i386-redhat-linux --build=i386-redhat-linux \
  --target=i386-redhat-linux-gnu \
  --program-prefix= \
   --prefix=/usr \
  --exec-prefix=/usr \
  --bindir=/usr/bin \
  --sbindir=/usr/sbin \
  --sysconfdir=/etc \
  --datadir=/usr/share \
  --includedir=/usr/include \
  --libdir=/usr/lib \
  --libexecdir=/usr/libexec \
  --localstatedir=/var \
  --sharedstatedir=/usr/com \
  --mandir=/usr/share/man \
  --infodir=/usr/share/info, and /usr where possible
b)   - using defined %{prefix}, 3.20 etc. for easier/quicker maint.

Expected results:
a)  - use %configure, and %{prefix} where possible
b)  - using defined %{prefix}, %{version} etc. for easier/quicker maint.


Additional info:
It was probably forgotten to escape these macros using the double percent "%%" 
to print the single percent:
%configure -> %%configure and the likes

BTW, do you really want to change changelogs retroactively, and then document 
this change in the changelog?  ;-)))))
Comment 1 Harald Hoyer 2003-05-12 09:38:49 EDT
yes, I will document my change to the changelog :)
thx for reporting!

Note You need to log in before you can comment on or make changes to this bug.